Gatana logoGatana Docs
RoutesArtifacts

/artifacts

List the artifacts the caller can read: their own, the ones shared with them or one of their teams, and the ones shared with the organization

GET
/artifacts
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/artifacts"
{
  "artifacts": [
    {
      "id": "string",
      "title": "string",
      "createdByUserId": "string",
      "createdByUserName": "string",
      "createdByUserEmail": "string",
      "visibility": "private",
      "theme": "none",
      "currentVersion": 0,
      "sharedWithUserIds": [
        "string"
      ],
      "sharedWithTeamIds": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string",
      "url": "string"
    }
  ]
}